Dark Reading is part of the Informa Tech Division of Informa PLC

This site is operated by a business or businesses owned by Informa PLC and all copyright resides with them.Informa PLC's registered office is 5 Howick Place, London SW1P 1WG. Registered in England and Wales. Number 8860726.

Application Security

// // //
10/7/2019
10:00 AM
Larry Loeb
Larry Loeb
Larry Loeb

Cequence Finds Web Conferencing Vulnerability

Vulnerability could allow an attacker to list and view active meetings that are not protected.

Cequence Security's CQ Prime Threat Research Team has bloggedthe discovery of a vulnerability in the Cisco Webex and Zoom video conferencing platforms (among others) that could allow an attacker to "enumerate" or list and view active meetings that are not protected.

This attack takes advantage of web conferencing application program interfaces (APIs) by the use of a bot which cycles through (enumerates) and discovers valid numeric meeting IDs. Given the common user practice of disabling security functionality in the program or not assigning a password, then the bad actor would be able to view or listen to an active meeting.

The attack has been given the "cute" name of "Prying-Eye vulnerability" By Cequence.

The widespread use of APIs that connect web forms to backend systems (or to other applications) make automated attacks easier to execute. Cequence says that all users should adopt the "best practice" of using vendor-supplied security functionality to protect their meetings. Directly confirming the attendee identities, if possible, is also recommended.

Mark Adams, board member at Seagate Technology PLC and Cadence Design Systemsm says: "Security of all types, from traditional network level to user best practices, is an increasingly high priority for corporate boards and ensuring web conferences are secure should be common practice. As a board member, if for example we are reviewing quarterly financials and future looking forecasts with the executive team and the meeting is compromised due to a vulnerability like this, a bad actor would be able to eavesdrop on the web conference, gaining insider information."

Driven by mobile device ubiquity as well as the move towards modular applications where APIs are used as the foundational elements of the application business logic, Cequence is finding direct-to-API attacks becoming "increasingly common." By targeting the API (as opposed to scripting a form fill) a threat actor can obtain the same benefits of ease of use, efficiency and flexibility that APIs bring to the development community.

APIs are stateless. This means the initial request as well as the response are self-contained and will have all the information needed to complete the transaction. The ubiquity and stateless nature of APIs are beneficial in many ways to the creation process, but they may also introduce challenges which traditional security technologies cannot solve.

By design, APIs do not assume a client-side component, so traditional defense techniques like Captchas or JavaScript/SDK instrumentation will not be useful.

The direct-to-API approach also makes the assumption that there is no corresponding browser or mobile app that will be used for user redirection along with associated instrumentation and cookie assignment. The result is that the API and associated application is left unprotected by developers.

WebEx and Zoom platforms were tested and found to be open to this kind of attack. There are roughly three dozen vendors in this space, and not all were tested by Cequence. WebEx responded with their own security advisory, as did Zoom. Both state that passwords for sessions are enabled by default.

This situation highlights the vulnerabilities and the problems that API use can bring to the security table. It seems prudent to always have some sort of fence around raw API use so that security can be enforced.

— Larry Loeb has written for many of the last century's major "dead tree" computer magazines, having been, among other things, a consulting editor for BYTE magazine and senior editor for the launch of WebWeek.

Comment  | 
Print  | 
More Insights
Comments
Threaded  |  Newest First  |  Oldest First
Edge-DRsplash-10-edge-articles
I Smell a RAT! New Cybersecurity Threats for the Crypto Industry
David Trepp, Partner, IT Assurance with accounting and advisory firm BPM LLP,  7/9/2021
News
Attacks on Kaseya Servers Led to Ransomware in Less Than 2 Hours
Robert Lemos, Contributing Writer,  7/7/2021
Commentary
It's in the Game (but It Shouldn't Be)
Tal Memran, Cybersecurity Expert, CYE,  7/9/2021
Register for Dark Reading Newsletters
White Papers
Video
Cartoon
Current Issue
Black Hat USA 2022 Attendee Report
Black Hat attendees are not sleeping well. Between concerns about attacks against cloud services, ransomware, and the growing risks to the global supply chain, these security pros have a lot to be worried about. Read our 2022 report to hear what they're concerned about now.
Flash Poll
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2022-33311
PUBLISHED: 2022-08-18
Browse restriction bypass vulnerability in Address Book of Cybozu Office 10.0.0 to 10.8.5 allows a remote authenticated attacker to obtain the data of Address Book via unspecified vectors.
CVE-2022-25986
PUBLISHED: 2022-08-18
Browse restriction bypass vulnerability in Scheduler of Cybozu Office 10.0.0 to 10.8.5 allows a remote authenticated attacker to obtain the data of Scheduler.
CVE-2022-28715
PUBLISHED: 2022-08-18
Cross-site scripting vulnerability in the specific parameters of Cybozu Office 10.0.0 to 10.8.5 allows a remote attacker to inject an arbitrary script via unspecified vectors.
CVE-2022-2876
PUBLISHED: 2022-08-18
A vulnerability, which was classified as critical, was found in SourceCodester Student Management System. Affected is an unknown function of the file index.php. The manipulation of the argument id leads to sql injection. It is possible to launch the attack remotely. The exploit has been disclosed to...
CVE-2022-29487
PUBLISHED: 2022-08-18
Cross-site scripting vulnerability in Cybozu Office 10.0.0 to 10.8.5 allows a remote attacker to inject an arbitrary script via unspecified vectors.